# org.apache.lucene.search

## Classes

- AssertingIndexSearcher
- CheckHits
- CheckHits.ExplanationAsserter
- CheckHits.ExplanationAssertingSearcher
- CheckHits.SetCollector
- QueryUtils
- QueryUtils.FCInvisibleMultiReader
- RandomSimilarityProvider
- SearchEquivalenceTestBase
- ShardSearchingTestBase
- ShardSearchingTestBase.SearcherAndVersion

## Exceptions

- ShardSearchingTestBase.SearcherExpiredException